Resolution: Fixed   

Description

This is extracted from #22024:

Mischa The Evil wrote in #22024#note-10:

Go MAEDA wrote in #22024#note-6:

The patch by Liane Hampe also adds the ability to display thousand delimiters. However, I think displaying thousand

delimiters should be out of the scope of this patch. This is because not all users may agree with always displaying the

thousand delimiter. Additionally, at this time, entering a value with a thousand delimiter into a custom field results in a

validation error. In my opinion, the feature to display thousand delimiters should be discussed in another issue.

 A separate, additional feature providing a custom field option (using field_attributes?) to display thousand delimiters for

selected Float (but also Integer) custom fields could be nice to have in some cases when dealing with larger values, [...]

However, I think that Redmine doesn't need to provide support for entering values with thousands delimiters into a custom

field. It feels like overkill to me.

 

Related issues:

Related to Redmine - Feature #22024: Support localized decimal separators for... Closed

Related to Redmine - Defect #42342: Missing thousands separator in Integer an... Closed

Associated revisions

Revision 22933 - 2024-07-18 06:26 - Go MAEDA

Refactor ApplicationHelper#format_object to accept options as a hash (#39997).

Patch by Go MAEDA (user:maeda).

Revision 22934 - 2024-07-18 06:30 - Go MAEDA

Updated `number.format.delimiter` values in locale files based on rails-i18n (#39997).

Referenced the `rails/locales/*.yml` files from the rails-i18n library.

Updated the `number.format.delimiter` values for various locales in Redmine.

Skipped updates where `number.format.separator` values differ between Redmine and rails-i18n.

Patch by Go MAEDA (user:maeda).

Revision 22935 - 2024-07-18 06:56 - Go MAEDA

Add an option to render Integer and Float custom fields with thousands delimiters (#39997).

Patch by Go MAEDA (user:maeda).

Revision 22936 - 2024-07-18 07:25 - Go MAEDA

Update locales (#39997).

History
https://www.redmine.org/issues/22024
https://www.redmine.org/issues/22024#note-10
https://www.redmine.org/issues/22024#note-6


#1 - 2024-01-03 14:50 - Holger Just

- Related to Feature #22024: Support localized decimal separators for float values added

#2 - 2024-07-13 09:54 - Go MAEDA

- File 39997-WIP-20240713.patch added

I started to write a patch for this feature.

#3 - 2024-07-14 10:48 - Go MAEDA

- File 0001-Refactor-ApplicationHelper-format_object-to-support-.patch added

- File 0002-Updated-number.format.delimiter-values-in-locale-fil.patch added

- File 0003-Add-option-to-render-Integer-and-Float-custom-fields.patch added

- File clipboard-202407141741-fbjcc.png added

- File clipboard-202407141743-fduoh.png added

- Target version set to Candidate for next major release

Heres are patches to implement this feature:

attachment:0001-Refactor-ApplicationHelper-format_object-to-support-.patch refactors ApplicationHelper#format_object to accept :html option as

a keyword argument. This change is a prerequisite for adding the new :thousands_delimiter option in the third patch.

0002-Updated-number.format.delimiter-values-in-locale-fil.patch updates `number.format.delimiter` values in config/locales/*.yml files according

to rails-i18n's rails/locales/*.yml files to correctly display thousands separators. But I didn't change locales where number.format.separator values

differ between Redmine and rails-i18n

0003-Add-option-to-render-Integer-and-Float-custom-fields.patch implements the option to render Integer and Float custom fields with thousands

delimiters.

 clipboard-202407141741-fbjcc.png 

 clipboard-202407141743-fduoh.png 

#4 - 2024-07-14 11:08 - Go MAEDA

- File 0003-Add-option-to-render-Integer-and-Float-custom-fields.patch added

#5 - 2024-07-14 11:09 - Go MAEDA

- File deleted (0003-Add-option-to-render-Integer-and-Float-custom-fields.patch)

#6 - 2024-07-16 17:11 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#7 - 2024-07-18 06:59 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patches in r22933, r22934, and r22935.

Now integer and float custom fields have a "Thousands delimiter" option

Values are rendered with thousands delimiters when the option is enabled

#8 - 2025-02-07 03:48 - Go MAEDA

- Related to Defect #42233: Float custom values with ',' as decimal separator are not converted to '.' and cause SQL errors when sorting or summing

added

#9 - 2025-02-07 05:25 - Go MAEDA

- Related to deleted (Defect #42233: Float custom values with ',' as decimal separator are not converted to '.' and cause SQL errors when sorting or

summing)

#10 - 2025-03-02 02:26 - Go MAEDA
https://www.redmine.org/attachments/32608
https://www.redmine.org/attachments/32612
https://www.redmine.org/projects/redmine/repository/svn/revisions/22933
https://www.redmine.org/projects/redmine/repository/svn/revisions/22934
https://www.redmine.org/projects/redmine/repository/svn/revisions/22935


- Related to Defect #42342: Missing thousands separator in Integer and Float custom field totals added

Files

39997-WIP-20240713.patch 7.66 KB 2024-07-13 Go MAEDA

0001-Refactor-ApplicationHelper-format_object-to-support-.patch 5.87 KB 2024-07-14 Go MAEDA

0002-Updated-number.format.delimiter-values-in-locale-fil.patch 6.17 KB 2024-07-14 Go MAEDA

clipboard-202407141741-fbjcc.png 106 KB 2024-07-14 Go MAEDA

clipboard-202407141743-fduoh.png 108 KB 2024-07-14 Go MAEDA

0003-Add-option-to-render-Integer-and-Float-custom-fields.patch 5.8 KB 2024-07-14 Go MAEDA
